Home   Manual

Compilation with Eigen 3.3


#1

i am having trouble installing Avogadro (1.2.0) on Ubuntu 16.10. This appears to be because I have eigen 3.3 ((3.3~beta2-2ubuntu2)) installed which no longer supports eigen2. As far as I can tell (I’m not a programmer), Avogadro is assuming an eigen2 environment. Are there plans to port this to eigen3? Or should I seek other workarounds?


#2

It turns out Avogadro is in the Ubuntu repositories already. Works perfectly. Thanks for this fantastic project!


#3

There will also be an upcoming 1.3 release, which includes full Eigen3 compatibility, made possible in part by the Debichem / Ubuntu developers.